Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class SecurityConstants

    java.lang.Object
      com.beasys.commerce.ebusiness.security.SecurityConstants

Deprecated

    @Deprecated
    public class SecurityConstants

extends Object

Defines constants used in this package

Field Summary
`static String` | `ENCRYPTION_PROPERTY_NAME` Deprecated
`static String` | `KEY_BIT_SIZE_PROPERTY_NAME` Deprecated
`static String` | `NOT_SO_SECURE_SECURITY` Deprecated
`static String` | `PRIVATE_KEY_COLUMN_PROPERTY_NAME` Deprecated
`static String` | `PUBLIC_KEY_COLUMN_PROPERTY_NAME` Deprecated
`static String` | `SECURITY_TABLE_BACKUP_PROPERTY_NAME` Deprecated
`static String` | `SECURITY_TABLE_PROPERTY_NAME` Deprecated

Constructor Summary
`SecurityConstants()` Deprecated

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCRYPTION_PROPERTY_NAME

    public static final String ENCRYPTION_PROPERTY_NAME

  Deprecated
  See Also
    Constants Summary

### SECURITY_TABLE_PROPERTY_NAME

    public static final String SECURITY_TABLE_PROPERTY_NAME

  Deprecated
  See Also
    Constants Summary

### SECURITY_TABLE_BACKUP_PROPERTY_NAME

    public static final String SECURITY_TABLE_BACKUP_PROPERTY_NAME

  Deprecated
  See Also
    Constants Summary

### PUBLIC_KEY_COLUMN_PROPERTY_NAME

    public static final String PUBLIC_KEY_COLUMN_PROPERTY_NAME

  Deprecated
  See Also
    Constants Summary

### PRIVATE_KEY_COLUMN_PROPERTY_NAME

    public static final String PRIVATE_KEY_COLUMN_PROPERTY_NAME

  Deprecated
  See Also
    Constants Summary

### KEY_BIT_SIZE_PROPERTY_NAME

    public static final String KEY_BIT_SIZE_PROPERTY_NAME

  Deprecated
  See Also
    Constants Summary

### NOT_SO_SECURE_SECURITY

    public static final String NOT_SO_SECURE_SECURITY

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### SecurityConstants

    public SecurityConstants()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.